-- accuracy stats are multiplied by about 3.6

local old_init = WeaponTweakData.init

function WeaponTweakData:init(tweak_data)
    old_init(self, tweak_data)

-- SMGs --

self.m1928.CLIP_AMMO_MAX = 65
self.m1928.AMMO_MAX = 195  
self.m1928.stats.damage = 48
self.m1928.stats.spread = 9
self.m1928.stats.recoil = 18
self.m1928.stats.suppression = 15
self.m1928.fire_mode_data.fire_rate = 0.08
self.m1928.can_shoot_through_shield = false
self.m1928.AMMO_PICKUP = {4, 6}

self.sterling .CLIP_AMMO_MAX = 25
self.sterling .AMMO_MAX = 75
self.sterling .stats.damage = 160
self.sterling .stats.spread = 18
self.sterling .stats.recoil = 4
self.sterling .stats.suppression = 15
self.sterling .fire_mode_data.fire_rate = 0.14
self.sterling .can_shoot_through_shield = false
self.sterling .armor_piercing_chance = 1
self.sterling .AMMO_PICKUP = {1, 3}

self.new_mp5.CLIP_AMMO_MAX = 25
self.new_mp5.AMMO_MAX = 125
self.new_mp5.stats.damage = 75
self.new_mp5.stats.spread = 14
self.new_mp5.stats.recoil = 17
self.new_mp5.stats.suppression = 16
self.new_mp5.fire_mode_data.fire_rate = 0.0857
self.new_mp5.can_shoot_through_shield = false
self.new_mp5.AMMO_PICKUP = {1, 4}

self.tec9.AMMO_MAX = 180  
self.tec9.stats.damage = 42
self.tec9.stats.spread = 15
self.tec9.stats.recoil = 20
self.tec9.stats.suppression = 15
self.tec9.can_shoot_through_shield = false
self.tec9.AMMO_PICKUP = {4, 6}
self.tec9.spread_moving = 0

self.erma.AMMO_PICKUP = {3, 6}

self.p90.armor_piercing_chance = 100
self.p90.stats.damage = 42

self.schakal.AMMO_PICKUP = {3, 6}

self.polymer.stats.spread = 22

self.sr2.stats.spread = 18
self.sr2.stats.recoil = 18

self.mp9.stats.damage = 42

self.olympic.stats.damage = 60
self.olympic.AMMO_PICKUP = {2, 6}
-- Assault Rifles --
self.scar.CLIP_AMMO_MAX = 30
self.scar.AMMO_MAX = 120

self.tecci.CLIP_AMMO_MAX = 100
self.tecci.AMMO_MAX = 200
self.tecci.stats.damage = 60
self.tecci.stats.spread = 9
self.tecci.stats.recoil = 10
self.tecci.stats.suppression = 10
self.tecci.fire_mode_data.fire_rate = 0.1
self.tecci.can_shoot_through_shield = false
self.tecci.armor_piercing_chance = 0
self.tecci.AMMO_PICKUP = {5, 7}

self.ching.CLIP_AMMO_MAX = 8
self.ching.AMMO_MAX = 32
self.ching.stats.damage = 160
self.ching.stats.spread = 23
self.ching.stats.recoil = 18
self.ching.stats.suppression = 10
self.ching.fire_mode_data.fire_rate = 0.05
self.ching.can_shoot_through_shield = true
self.ching.armor_piercing_chance = 1
self.ching.AMMO_PICKUP = {.8, 3}

self.vhs.CLIP_AMMO_MAX = 30
self.vhs.AMMO_MAX = 150
self.vhs.stats.damage = 65
self.vhs.stats.spread = 18
self.vhs.stats.recoil = 19
self.vhs.stats.suppression = 10
self.vhs.can_shoot_through_shield = false
self.vhs.armor_piercing_chance = 100
self.vhs.AMMO_PICKUP = {2, 5}

self.g36.stats.damage = 42

self.s552.stats.damage = 42

self.g3.stats.damage = 65

self.amcar.stats.damage = 60
self.amcar.AMMO_PICKUP = {3, 6}

self.asval.CLIP_AMMO_MAX = 25
self.asval.AMMO_MAX = 200
self.asval.stats.damage = 40
self.asval.stats.spread = 13
self.asval.stats.recoil = 16
self.asval.AMMO_PICKUP = {2, 3}

self.galil.CLIP_AMMO_MAX = 50


-- Sniper Rifles --

self.winchester1874.CLIP_AMMO_MAX = 15
self.winchester1874.AMMO_MAX = 30
self.winchester1874.stats.damage = 150
self.winchester1874.stats.spread = 22
self.winchester1874.stats.recoil = 8
self.winchester1874.stats.suppression = 6
self.winchester1874.fire_mode_data.fire_rate = .5
self.winchester1874.can_shoot_through_shield = true
self.winchester1874.AMMO_PICKUP = {1, 1.4}
self.winchester1874.stats.concealment = 28

self.msr.CLIP_AMMO_MAX = 10
self.msr.AMMO_MAX = 50
self.msr.stats.damage = 100
self.msr.stats.spread = 22
self.msr.stats.recoil = 12
self.msr.stats.suppression = 6
self.msr.fire_mode_data.fire_rate = 1
self.msr.can_shoot_through_shield = true
self.msr.AMMO_PICKUP = {1, 2}
self.msr.stats_modifiers = {damage = 3}

self.siltstone.CLIP_AMMO_MAX = 10
self.siltstone.AMMO_MAX = 25
self.siltstone.stats.damage = 150
self.siltstone.stats.spread = 22
self.siltstone.stats.recoil = 5
self.siltstone.stats.suppression = 6
self.siltstone.fire_mode_data.fire_rate = .498
self.siltstone.can_shoot_through_shield = true
self.siltstone.AMMO_PICKUP = {.5, 1.5}

self.wa2000.fire_mode_data.fire_rate = .2
self.wa2000.stats.damage = 105
self.wa2000.stats_modifiers = {damage = 2}
self.wa2000.stats.concealment = 24

self.tti.stats.damage = 105
self.tti.fire_mode_data.fire_rate = .2
self.tti.stats_modifiers = {damage = 2}
self.tti.stats.concealment = 22

self.mosin.stats.damage = 110
self.mosin.stats_modifiers = {damage = 4}

self.m95.stats_modifiers = {damage = 40}

self.desertfox.stats.concealment = 22

self.model70.stats.concealment = 16
self.model70.stats_modifiers = {damage = 2.6}

self.r93.stats_modifiers = {damage = 2.6}
self.r93.stats.recoil = 13
self.r93.fire_mode_data.fire_rate = .95
-- Classic Shotties --

self.striker.CLIP_AMMO_MAX = 8
self.striker.AMMO_MAX = 64
self.striker.stats.damage = 64 
self.striker.stats.suppression = 5
self.striker.can_shoot_through_shield = false

self.rota.CLIP_AMMO_MAX = 6
self.rota.AMMO_MAX = 12
self.rota.stats.damage = 160 
self.rota.stats.spread = -10
self.rota.stats.recoil = -10
self.rota.stats.suppression = 5
self.rota.fire_mode_data.fire_rate = .15
self.rota.can_shoot_through_shield = false
self.rota.AMMO_PICKUP = {0.8, 1.6}
self.rota.stats_modifiers = {damage = 1.5}
self.rota.rays = 6

self.b682.CLIP_AMMO_MAX = 2
self.b682.AMMO_MAX = 18
self.b682.stats.damage = 200 
self.b682.stats.spread = 22
self.b682.stats.recoil = 4
self.b682.stats.suppression = 5
self.b682.fire_mode_data.fire_rate = .3
self.b682.can_shoot_through_shield = false
self.b682.AMMO_PICKUP = {1, 3}


self.huntsman.CLIP_AMMO_MAX = 2
self.huntsman.AMMO_MAX = 24
self.huntsman.stats.damage = 170 
self.huntsman.stats.spread = 12
self.huntsman.stats.recoil = 19
self.huntsman.stats.suppression = 5
self.huntsman.fire_mode_data.fire_rate = .1
self.huntsman.can_shoot_through_shield = false
self.huntsman.AMMO_PICKUP = {1, 4}


self.serbu.AMMO_PICKUP = {2, 4}
self.serbu.AMMO_MAX = 24

self.judge.AMMO_PICKUP = {1, 2}
self.judge.AMMO_MAX = 15
self.judge.stats.damage = 185

self.r870.AMMO_MAX = 32
self.r870.fire_mode_data.fire_rate = .2
self.r870.AMMO_PICKUP = {1, 3}

-- Auto Shotties --

self.aa12.CLIP_AMMO_MAX = 8
self.aa12.AMMO_MAX = 60
self.aa12.stats.damage = 70
self.aa12.stats.spread = 15
self.aa12.stats.recoil = 18	
self.aa12.stats.suppression = 3
self.aa12.can_shoot_through_shield = false
self.aa12.AMMO_PICKUP = {1, 3}

-- LMGs --

self.rpk.CLIP_AMMO_MAX = 75
self.rpk.AMMO_MAX = 300
self.rpk.stats.damage = 60
self.rpk.stats.spread = 13
self.rpk.stats.recoil = 6
self.rpk.stats.suppression = 5
self.rpk.fire_mode_data.fire_rate = 0.08
self.rpk.can_shoot_through_shield = false
self.rpk.armor_piercing_chance = 1
self.rpk.AMMO_PICKUP = {2, 6}

self.m249.stats.damage = 55
self.m249.stats.spread = 14
self.m249.stats.spread = 11

self.hk21.CLIP_AMMO_MAX = 150
self.hk21.AMMO_MAX = 300
self.hk21.stats.damage = 82
self.hk21.stats.spread = 10
self.hk21.stats.recoil = 16
self.hk21.stats.suppression = 5
self.hk21.fire_mode_data.fire_rate = 0.125
self.hk21.can_shoot_through_shield = false
self.hk21.armor_piercing_chance = 1
self.hk21.AMMO_PICKUP = {2, 6}
-- Pistols --

self.peacemaker.CLIP_AMMO_MAX = 6
self.peacemaker.AMMO_MAX = 30
self.peacemaker.stats.damage = 200
self.peacemaker.stats.spread = 22
self.peacemaker.stats.recoil = 14
self.peacemaker.stats.suppression = 19
self.peacemaker.fire_mode_data.fire_rate = .55
self.peacemaker.AMMO_PICKUP = {.2, .8}
self.peacemaker.can_shoot_through_shield = true
self.peacemaker.stats_modifiers = {damage = 2.8}

self.mateba.CLIP_AMMO_MAX = 4
self.mateba.AMMO_MAX = 36
self.mateba.stats.damage = 195
self.mateba.stats.spread = 22
self.mateba.stats.recoil = 20
self.mateba.stats.suppression = 19
self.mateba.fire_mode_data.fire_rate = .75
self.mateba.AMMO_PICKUP = {.2, 1}
self.mateba.can_shoot_through_shield = false
self.mateba.stats_modifiers = {damage = 2}

self.chinchilla.CLIP_AMMO_MAX = 8
self.chinchilla.AMMO_MAX = 48
self.chinchilla.stats.damage = 150
self.chinchilla.stats.spread = 19
self.chinchilla.stats.recoil = 15
self.chinchilla.stats.suppression = 19
self.chinchilla.fire_mode_data.fire_rate = .1
self.chinchilla.AMMO_PICKUP = {1, 2}
self.chinchilla.can_shoot_through_shield = false

self.pl14.can_shoot_through_shield = true
self.pl14.fire_mode_data.fire_rate = .1

self.colt_1911.CLIP_AMMO_MAX = 8
self.colt_1911.AMMO_MAX = 62
self.colt_1911.stats.damage = 95
self.colt_1911.stats.spread = 18
self.colt_1911.stats.recoil = 20
self.colt_1911.stats.suppression = 16
self.colt_1911.fire_mode_data.fire_rate = 0.05
self.colt_1911.can_shoot_through_shield = false

self.glock_18c.AMMO_PICKUP = {3, 8}
self.glock_18c.stats.damage = 40

self.sparrow.fire_mode_data.fire_rate = 0.05

self.deagle.stats.damage = 175
self.deagle.stats.recoil = -5
self.deagle.CLIP_AMMO_MAX = 7

self.new_raging_bull.stats.damage = 113
self.new_raging_bull.stats_modifiers = {damage = 2}

self.packrat.AMMO_PICKUP = {2, 5}
-- Specials

self.m134.CLIP_AMMO_MAX = 750
self.m134.AMMO_MAX = 1500
self.m134.stats.damage = 42
self.m134.stats.spread = 1
self.m134.stats.recoil = 8
self.m134.stats.suppression = 3
self.m134.can_shoot_through_shield = false
self.m134.AMMO_PICKUP = {2, 6}
self.m134.armor_piercing_chance = 1

self.flamethrower_mk2.CLIP_AMMO_MAX = 250
self.flamethrower_mk2.AMMO_MAX = 1000
self.flamethrower_mk2.stats.damage = 50
self.flamethrower_mk2.stats.spread = 0
self.flamethrower_mk2.stats.recoil = 5
self.flamethrower_mk2.stats.suppression = 1
self.flamethrower_mk2.fire_mode_data.fire_rate = 0.025
self.flamethrower_mk2.can_shoot_through_shield = true
self.flamethrower_mk2.armor_piercing_chance = 0.5
self.flamethrower_mk2.AMMO_PICKUP = {5, 15}
self.flamethrower_mk2.timers.reload_not_empty = 6

self.saw.CLIP_AMMO_MAX = 200
self.saw.AMMO_MAX = 600
self.saw.stats.damage = 100
self.saw.stats.spread = 0
self.saw.stats.recoil = 5
self.saw.stats.suppression = 1
self.saw.can_shoot_through_shield = true
self.saw.armor_piercing_chance = 0.5
self.saw.AMMO_PICKUP = {1, 10}
self.saw.stats_modifiers = {damage = 2}

self.rpg7.AMMO_PICKUP = {.1, .1}
self.rpg7.AMMO_MAX = 8
-- Grenade Launchers



end